# Cross Build

Provides example Dockerfiles to build cross-compilation containers for various targets
from x86-64 hosts.

### Examples

- [Example 1](examples/multi-target-static-git.md): A Rust project fetched from Git, and then compiled for ARMv7 and i686 targets, including
a static C runtime
- [Example 2](examples/armhf-stretch-crate.md): A Rust project volume mounted as an exported package (`.crate` file), and compiled for
ARMv7 with dynamic linking for a legacy target based on Debian Stretch

### License

Licensed under either of

 * Apache License, Version 2.0, ([LICENSE-APACHE](LICENSE-APACHE) or http://www.apache.org/licenses/LICENSE-2.0)
 * MIT license ([LICENSE-MIT](LICENSE-MIT) or http://opensource.org/licenses/MIT)

at your option.

### Contribution

Unless you explicitly state otherwise, any contribution intentionally submitted
for inclusion in the work by you, as defined in the Apache-2.0 license, shall be dual licensed as above, without any
additional terms or conditions.

### Contact

To discuss features, offer assistance, or get help please join the project's [Matrix room](https://matrix.to/#/#cross-build:txrx.staart.one).
